# Class ServerAdminClient

java.lang.Object
org.apache.zookeeper.ServerAdminClient

@Public public class ServerAdminClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServerAdminClient()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`dump(String host, int port)`
`static void`
`getTraceMask(String host, int port)`
`static void`
`kill(String host, int port)`
`static void`
`main(String[] args)`
`static void`
`ruok(String host, int port)`
`static void`
`setTraceMask(String host, int port, String traceMaskStr)`
`static void`
`stat(String host, int port)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerAdminClient

public ServerAdminClient()

## Method Details

### ruok

public static void ruok(String host, int port)

### dump

public static void dump(String host, int port)

### stat

public static void stat(String host, int port)

### kill

public static void kill(String host, int port)

### setTraceMask

public static void setTraceMask(String host, int port, String traceMaskStr)

### getTraceMask

public static void getTraceMask(String host, int port)

### main

public static void main(String[] args)